POST Search SourceCodeGroups
POST /sites/{site_id}/source_code_group_search
Operation ID: Search SourceCodeGroups. Tags: sites. Security: oauth2_application.
Searches for source code groups.
The query attribute specifies a complex query that can be used to narrow down the search. These are the list of searchable attributes:
-
id - String
-
description - String
-
source_code* - String
-
start_time - DateTime
-
end_time - DateTime
-
creation_date - DateTime
-
enabled - Boolean
-
active* - Boolean
-
- These fields can only be used in Queries as conjunctions (using AND). If the field is used in a disjunction (OR) an exception will be thrown.
The output of the query can also be sorted. These are the list of sortable attributes:
-
id - String
-
description - String
-
enabled - Boolean
-
creation_date - DateTime
Expands that can be applied for the search request
-
specifications - String
This endpoint may return the following faults:
- 400 - MalformedSearchParameterException - Thrown if the query is ill-formed.
Parameters
site_id(path, string, required) The id of the site.
Minimum length: 1.
Request body (required)
Media type: application/json, text/xml. Schema: search_request.
Responses
- 400
MalformedSearchParameterException- Thrown if the query is ill-formed.Media type:
application/json, text/xml. Schema:fault. - default
Media type:
application/json, text/xml. Schema:source_code_group_search_result.